-- --------------------------------------------------------------------------
-- Copyright © 2008 PlayFirst, Inc. All Rights Reserved.
--
-- This material is the confidential trade secret and proprietary
-- information of PlayFirst, Inc. It may not be reproduced, used, disclosed,
-- sold or transferred without the prior written consent of PlayFirst, Inc. 
-- All rights reserved.
-- --------------------------------------------------------------------------
-- FirstStage generated output file
require('style.lua');

SetDefaultStyle( DefaultStyle );

local ok="ok" ;	
local okname="OK";
local name="okbox";
	
if (gDialogTable.oklabel) then
	ok = gDialogTable.oklabel ;
end

if (gDialogTable.name) then
	name = gDialogTable.name;
end

if (gDialogTable.okname) then
	okname = gDialogTable.okname;
end

local okcommand = gDialogTable.okcommand;

d = MediumDialog

MakeDialog
{
	Bitmap
	{
		image="menu/main/greybox",
		x=0,
		y=0,
		scale=4,
		name = name,
		Bitmap
		{
			image = "backgrounds/dialog",
			x = kCenter,
			y = kCenter,

			SetStyle( ButtonStyle ),
			Button
			{
				close = true,
				flags = 5,
				label="common.ok.label",
				name = "okname",
				x = kCenter,
				y = kMax-50,
				command=okcommand
			},
			SetStyle( DialogTitleText ),
			Text{ label=gDialogTable.title },
			SetStyle( DialogBodyText ),
			Text{ label=gDialogTable.body },
		},
	};

} -- MakeDialog

gDialogTable = {}
